Cómo instalar gensim en windows

No puedo instalar gensim en windows. Por favor, ayúdeme. Necesito gensim de inmediato y dígame los pasos de instalación con más detalles y otro software que debe instalarse antes. Gracias

Gensim depende de scipy y numpy. Debe tenerlos instalados antes de instalar gensim. Una forma sencilla de instalar gensim en Windows es, abra cmd y escriba

pip instalar -U gensim

O descarga gensim para windows desde

https://pypi.python.org/pypi/gensim
entonces corre
python setup.py test
python setup.py install

Primero debes instalar NumPy luego SciPy y luego Gensim (asumiendo que ya tienes Python instalado). Utilicé Python 3.4 porque me resulta más fácil instalar SciPy con la versión 3.4.

Paso 1) Instala Numpy:

Descargue numpy‑1.13.1+mkl‑cp34‑cp34m‑win32.whl desde aquí

tenga en cuenta que en cp34-cp34m 34 es la versión de Python que está utilizando. Así que descargue el archivo apropiado

Abra el símbolo del sistema y vaya a la carpeta en la que acaba de descargar el archivo e instale Numpy con el siguiente comando:

pip install numpy ‑ 1.13.1 + mkl ‑ cp34 ‑ cp34m ‑ win32.whl

Debes obtener un mensaje numpy correctamente instalado

Paso 2) Instala SciPy:

Siga el mismo enlace anterior y descargue el scipy‑0.19.1‑cp34‑cp34m‑win32.whl . Instálelo siguiendo las mismas instrucciones que en el Paso 1 pero con este nombre de archivo. El comando es el siguiente:

pip install scipy ‑ 0.19.1 ‑ cp34 ‑ cp34m ‑ win32.whl

Debería obtener este mensaje correctamente instalado scipy

Paso 3) Instala gensim:

Siga el enlace en el paso 1 y descargue gensim‑2.3.0‑cp34‑cp34m‑win32.whl (la versión adecuada para su sistema) Instálelo siguiendo las instrucciones en el Paso 1 (con este nombre de archivo) con el siguiente comando:

pip instalar gensim ‑ 2.3.0 ‑ cp34 ‑ cp34m ‑ win32.whl

Debes obtener este mensaje correctamente instalado gensim

Ahora en una shell de Python intente:

importar gensim

Debe ser importado con éxito

NOTAS: asegúrese de que pip esté en sus variables de entorno (agregue C: \ python34 \ scripts a su variable de entorno).

Asegúrese de descargar todos los paquetes de acuerdo con la versión de Python que está utilizando.

Luché con esto un poco hoy, tratando de averiguar si necesitaba un entorno Python 2.7 o si podía usar mi 3.5. Terminé haciendo esto desde una instalación de Anaconda 3.5:

instalación conda -c anaconda gensim = 0.12.4

Después de algunas horas de probar varias cosas, de repente todo funcionó en 3.5. Mi error fue que seguía fallando la instalación de Scipy. Intenté comenzar de nuevo con la instalación de Conda y acabo de trabajar.

Ver: https://anaconda.org/anaconda/gensim

Recomiendo encarecidamente usar anaconda donde la instalación de todos los paquetes es muy fácil.

El comando para instalar el genismo y todos sus paquetes necesarios en Windows usando anaconda python 3.7 se encuentra a continuación.

conda instalar -c anaconda gensim